Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  CATIA V5 Programmierung
  Kochbuch - Rezept R16 - Volks DMU

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Kochbuch - Rezept R16 - Volks DMU (1191 mal gelesen)
  
Die Gewinne der Zukunft werden mit intelligenten, autonomen Elektrofahrzeugen eingefahren. (3DEXPERIENCE)
Christian.O
Mitglied
Konstrukteur


Sehen Sie sich das Profil von Christian.O an!   Senden Sie eine Private Message an Christian.O  Schreiben Sie einen Gästebucheintrag für Christian.O

Beiträge: 1212
Registriert: 17.07.2009

Celsius-Mobile H720
i7-3840QM
32 Gb Arbeitsspeicher
256 Gb SSD
Quadro K2000M
Windows 7 Professional (64 Bit)
Catia V5R19 (64 Bit)
SpacePilot Pro

erstellt am: 07. Jan. 2011 20:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Volks_DMU_Schnitt_01.jpg


Volks_DMU_Schnitt_02.jpg

 
Servus,

bei meinem neuen Problem geht es um Dauerhaft geschnittene Baugruppe ohne DMU-Lizenz.
Anbei 2 Auszüge aus dem Kochbuch vom Rezept R16 dem Volks DMU von Jens Hansen.

Zitat:
Jetzt kann es aber sein, dass je nach Lage des Bauteils es vorkommen kann, dass
selbiges gar nicht von dem Inverse-Feature geschnitten werden kann. Der Schnitt
geht quasi am Bauteil vorbei. In diesem Fall liefert das Update einen Fehler mit der
Nummer „–2147467259“ (durch viele Versuche herausgefunden). Tritt dieser Fall
ein, muss der Schnitt deaktiviert werden, da sonst das Update nicht durchläuft

d.h. wenn Bauteile nicht geschnitten werden, werden die Schnitte im jeweilen Body/Bauteil deaktiviert. Im angehängten Bild sieht man das dieses aber nicht funktioniert. Die ganzen Split`s in den einzelnen Bodies werden nicht deaktiviert. Das weiteren hab ich auch schon probiert den einfügten Body zu deaktivieren. Das Bauteil bleibt aber immer noch sichtbar. Wenn man aber statt dem Inverse die Plane zum Schneiden der Bauteile verwendet sind die linken Bauteile nicht mehr zu sehen.

Nun zu meiner Frage: funktioniert dieses Makro bei anderen so wie es soll oder bin ich der einzige bei dem es nicht so ganz klappt? Hab ich die Erklärung von Jens Hansen nicht verstanden? Bitte um Klärung. Danke.

Edit: Warum werden Bauteile (wie Schrauben und Leisten bei mir) die öfter als einmal verbaut sind nur einmal dargestellt? Wenn ich mit Publications arbeite bezieht sich der Link auf das erste verbaute Element. Wenn ich nicht mit den Publications arbeite bezieht sich der Link auf die letzte verbaute Einheit. Wenn ich aber die publizierten Bodies händisch in ein neues Part kopiere, sind beide Instanzen vorhanden und einzeln splitbar. Kann man dieses Phänomen irgendwie umgehen?
------------------
Mit freundlichen Grüßen aus Tirol
Christian Obholzer

[Diese Nachricht wurde von Christian.O am 09. Jan. 2011 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CadV5UserR
Mitglied
Dipl.Ing. Maschinenbau


Sehen Sie sich das Profil von CadV5UserR an!   Senden Sie eine Private Message an CadV5UserR  Schreiben Sie einen Gästebucheintrag für CadV5UserR

Beiträge: 78
Registriert: 18.04.2008

Windows 7 x64 Professional SP1
Dell Precision T3500
Intel Xeon CPU W3580 3.33GHz
24Gb Ram
NVIDIA Qudro 4000
Catia V5R20 Sp6
SmarTeam V5R20 SP6

erstellt am: 10. Jan. 2011 10:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Christian.O 10 Unities + Antwort hilfreich

Hallo Christian,


Ich hatte bei dem Makro auch einige Probleme und habe es für mich so angepasst das es gut funktioniert.

Zuerst mal hatte ich die gleichen Probleme wie Du auch.
Da ich aber eh nicht an einer Ebene schneiden wollte, sondern einen Körper herausschneiden wollte, habe ich einfach eine Boolesche Operation eingebaut wo dieser Körper abgezogen wird. Bei einer Fehlermeldung wird der Körper nicht geschnitten und die Boolesche Operation wieder gelöscht.

Mein größtes bis jetzt auch ungelöstes Problem ist das der Befehl

CATIA.StartCommand "Design Mode"

bei mir nicht Funktionierte, da ich die deutsche Umgebung benutze!?
Wenn ich auf Englisch umschalte läuft die Funktion durch.

Das gemusterte schrauben usw. nicht richtig funktionieren kann ich auch bestätigen.
Hierzu benötigst Du meiner Meinung nach die echte Referenz des Körpers der Teile die gemustert wurden.

Als Beispiel über
Set ref2 = product1.CreateReferenceFromName( „Produkt01/Teil.1/Hauptkörper“)
oder
Set ref2 = product1.CreateReferenceFromName( „Produkt01/Teil.2/Hauptkörper“)
usw.
---------------------------------------------
            If (nichteinf = 0) Then
2                If (curproduct.Products.Count = 0) Then

                 
                        RefPfad1(Pfadtiefe) = "/" & curproduct.Name

                 
3                      Set visPropertySet1 = selection1.VisProperties
                     
                        Set productDocument1 = CATIA.ActiveDocument
                        Set selection1 = productDocument1.Selection
           
4                      selection1.Add curproduct
5                      visPropertySet1.SetShow 1
6                      selection1.Clear
                        part1.Update
                        On Error Resume Next
7                      Set partDocument2 = curproduct.ReferenceProduct.Parent
8                      For i = 1 To partDocument2.Part.Bodies.Count
9                        Set body1 = partDocument2.Part.Bodies.Item(i)
10                        If (body1.InBooleanOperation = False) Then

                                RefPfadGes = ""
                                For U = 0 To Pfadtiefe
                                    RefPfadGes = RefPfadGes & RefPfad1(U)
                                Next
                                Set ref2 = product1.CreateReferenceFromName(RefPfadGes & "/!" & body1.Name)

---------------------------------------------

Ich weiß nicht ob ich das komplette Makro hier zeigen darf / sollte?


Ich hoffe das hilft Dir etwas weiter?


Grüße aus den Rheinland,
Ralf

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Christian.O
Mitglied
Konstrukteur


Sehen Sie sich das Profil von Christian.O an!   Senden Sie eine Private Message an Christian.O  Schreiben Sie einen Gästebucheintrag für Christian.O

Beiträge: 1212
Registriert: 17.07.2009

erstellt am: 10. Jan. 2011 11:41    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Servus,

erstmals Danke für deine Antwort.
Wie ich die Teile schneiden werd weiß ich noch nicht. Eventuell auch mit einem Remove die alle die gleiche Skizze besitzen. Somit wäre ich wenigstens in diese Richtung etwas flexibl. Um die Schnittrichtung dann umzudrehen müßte ich nur händisch ein Maß swapen.

Für die mehrfachverbauten Teile werd ich auch gleich vorgehen wie du.

------------------
Mit freundlichen Grüßen aus Tirol
Christian Obholzer

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz